# class DidYouMean::ClassNameChecker::ClassName

### Attributes

namespace [R]

### Public Class Methods

new (name, namespace = '')
Source

    # File lib/did_you_mean/spell_checkers/name_error_checkers/class_name_checker.rb, line 37
    def initialize(name, namespace = '')
      super(name.to_s)
      @namespace = namespace
    end

Calls superclass method `String::new`

### Public Instance Methods

full_name ()
Source

    # File lib/did_you_mean/spell_checkers/name_error_checkers/class_name_checker.rb, line 42
    def full_name
      self.class.new("#{namespace}#{self}")
    end